Bug 67301 - Update to 1.3.22-5.7.1 breaks apache
Update to 1.3.22-5.7.1 breaks apache
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: Security
: 67196 67298 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-21 19:32 EDT by Joe Doran
Modified: 2007-04-18 12:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-24 00:18:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Doran 2002-06-21 19:32:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.0) Gecko/20020530

Description of problem:
On update of apache to 1.3.22-5.7.1 causes a problem with logging module.
The error message appears in error_log after restart of apache after logrotate.
The error message is :-
[Fri Jun 21 04:02:08 2002] [notice] SIGHUP received.  Attempting to restart
Syntax error on line 212 of /etc/httpd/conf/httpd.conf:
Cannot load /etc/httpd/modules/mod_log_config.so into server:
/etc/httpd/modules/mod_log_config.so: undefined symbol: ap_escape_logitem

This is happening on two 7.1 installs that we are running.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. no action needed just try to restart apache after upgrade.

	

Actual Results:  Apache was not running.

Expected Results:  apache should have started up.

Additional info:
Comment 1 Joe Doran 2002-06-21 20:06:04 EDT
Ok, I have take a look at the source and a external reference to ap_escape_log
is patched in by the redhat-patch apache_1.3.22-chunky.patch at line: 236.

+API_EXPORT(char *) ap_escape_logitem(pool *p, const char *str);

The function ap_escape_logitem() gets patched from apache_1.3.22-chunky.patch to
apache/src/main in "util.c" line 1473.
Comment 2 Joe Doran 2002-06-21 20:10:16 EDT
ah....

The apache directory off SOURCES is not linked to apache-1.3.22 and I had to
make the link manually. I wonder did one of the developers have a hard directory
instead of a link to actual apache-1.3.22 directory and patched the wrong dir on
the build?

Just a guess.
Comment 3 Joe Doran 2002-06-21 20:15:12 EDT
*** Bug 67298 has been marked as a duplicate of this bug. ***
Comment 4 Dave Miller 2002-06-23 22:16:08 EDT
This seems to be intermittent, too...  the logrotate problem (see bug 67224)
triggers this error every time.  If I do "/sbin/service httpd restart" I don't
get the error and the server starts fine.
Comment 5 Nathan G. Grennan 2002-06-23 23:21:50 EDT
*** Bug 67196 has been marked as a duplicate of this bug. ***
Comment 6 Dave Miller 2002-06-23 23:29:40 EDT
Bug 67196 is not a duplicate of this one.  Please reopen unless you can explain
why it's a duplicate, or you plan to fix it at the same time as this (failure to
attempt to restart the server after the upgrade is a separate issue from the
server crashing when you try to restart it)
Comment 7 Nathan G. Grennan 2002-06-24 00:18:30 EDT
67196 is staying closed, but I would like to add that the apache post install
script should restart the server on an upgrade.
Comment 8 Joe Doran 2002-06-24 06:04:03 EDT
Okay, I agree the restart seems to have fixed the issue.
The server will now start and stop no problems.

Can someone pass this information on to the packager of apache.

Thanks.
Joe.
Comment 9 Nathan G. Grennan 2002-06-24 11:47:51 EDT
Please reopen this bug. This is also a problem with RedHat 7.3. After upgrading
from 1.3.23-11 to 1.3.23-14 and not restarting the server the server will crash
after a while with the error message above.

Note You need to log in before you can comment on or make changes to this bug.